Package org.eclipse.graphiti.pattern

## Interface IFeatureProviderWithPatterns

All Superinterfaces:
  `IPatternContainer`

All Known Implementing Classes:
  `DefaultFeatureProviderWithPatterns`

    public interface IFeatureProviderWithPatterns
    extends IPatternContainer

The marker interface IFeatureProviderWithPatterns that marks a feature provider to deal with patterns. Clients should not use this interface directly but instead extend `DefaultFeatureProviderWithPatterns`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `activateDirectEditingForPatterns​(PictogramElement mainPictogramElement, java.lang.Object bo)` Activate direct editing for patterns.
`void` `activateDirectEditingForPatterns​(PictogramElement mainPictogramElement, java.lang.Object bo, java.lang.String keyProperty)` Activate direct editing for patterns.
`IPattern` `getPatternForPictogramElement​(PictogramElement pictogramElement)` Gets the pattern for pictogram element.

### Methods inherited from interface org.eclipse.graphiti.pattern.IPatternContainer

`addPattern`

### Method Detail

#### activateDirectEditingForPatterns

    void activateDirectEditingForPatterns​(PictogramElement mainPictogramElement,
                                          java.lang.Object bo)

Activate direct editing for patterns.

Parameters:
  `mainPictogramElement` - the main pictogram element
  `bo` - the business object

#### activateDirectEditingForPatterns

    void activateDirectEditingForPatterns​(PictogramElement mainPictogramElement,
                                          java.lang.Object bo,
                                          java.lang.String keyProperty)

Activate direct editing for patterns.

Parameters:
  `mainPictogramElement` - the main pictogram element
  `bo` - the business object
  `keyProperty` - the key property

#### getPatternForPictogramElement

    IPattern getPatternForPictogramElement​(PictogramElement pictogramElement)

Gets the pattern for pictogram element.

Parameters:
  `pictogramElement` - the pictogram element
Returns:
  the pattern for pictogram element